/*-
 * ============LICENSE_START=======================================================
 * ONAP - SO
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.so.config.beans;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix="org.onap.so.adapters.po")
public class PoConfig {

	private String retryCodes;
	private int retryDelay;
	private int retryCount;
	private int pollTimeout;
	private int pollInterval;
	
	public String getRetryCodes() {
		return retryCodes;
	}
	public void setRetryCodes(String retryCodes) {
		this.retryCodes = retryCodes;
	}
	public int getRetryDelay() {
		return retryDelay;
	}
	public void setRetryDelay(int retryDelay) {
		this.retryDelay = retryDelay;
	}
	public int getRetryCount() {
		return retryCount;
	}
	public void setRetryCount(int retryCount) {
		this.retryCount = retryCount;
	}
	public int getPollTimeout() {
		return pollTimeout;
	}
	public void setPollTimeout(int pollTimeout) {
		this.pollTimeout = pollTimeout;
	}
	public int getPollInterval() {
		return pollInterval;
	}
	public void setPollInterval(int pollInterval) {
		this.pollInterval = pollInterval;
	}
	
}
